Skip to Content
API ReferenceAuthPOST /search

POST /auth/search

Search Auth

Search auths — composable infra architecture.

Request Body (SearchAuthApiRequest)

FieldTypeRequiredDescription
searchstringNo—
filter_department_idsstring[]No—
department_searchstringNo—
page_sizeintegerNo—
page_offsetintegerNo—
snapshot_keystringNoCache snapshot key for consistent reads across related requests

Response (ListAuthApiResponse)

FieldTypeRequiredDescription
actor_namestringNoDisplay name of the acting user
authsListAuthApiAuth[]NoList of auth provider items
department_filterListFilterSectionNoFilter options for departments
flag_filterListFilterSectionNoFilter options for flags in list UI
settings_filterListFilterSectionNoFilter options for settings in list UI
auth_item_keys_filterListFilterSectionNoFilter options for auth item keys in list UI
total_countintegerNoTotal number of auth providers
Last updated on